Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class ClassAliasingMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.ClassAliasingMapper

All Implemented Interfaces:
  Mapper

    public class ClassAliasingMapper

extends MapperWrapper

Mapper that allows a fully qualified class name to be replaced with an alias.

Author:
  Joe Walnes, Jörg Schaible

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`ClassAliasingMapper(ClassMapper wrapped)` Deprecated. since 1.2, use `ClassAliasingMapper(Mapper)`
`ClassAliasingMapper(Mapper wrapped)`

Method Summary
`void` | `addClassAlias(String name, Class type)`
`void` | `addClassAttributeAlias(String name, Class type)` Deprecated. since 1.3, method was a leftover of an old implementation
`void` | `addTypeAlias(String name, Class type)`
`boolean` | `aliasIsAttribute(String name)`
`boolean` | `itemTypeAsAttribute(Class clazz)`
`Class` | `realClass(String elementName)` How a serialized class representation should be mapped back to a real class.
`String` | `serializedClass(Class type)` How a class name should be represented in its serialized form.

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realMember, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAliasingMapper

    public ClassAliasingMapper(Mapper wrapped)

### ClassAliasingMapper

    public ClassAliasingMapper(ClassMapper wrapped)

  Deprecated. since 1.2, use `ClassAliasingMapper(Mapper)`

Method Detail

### addClassAlias

    public void addClassAlias(String name,
                              Class type)

### addClassAttributeAlias

    public void addClassAttributeAlias(String name,
                                       Class type)

  Deprecated. since 1.3, method was a leftover of an old implementation

### addTypeAlias

    public void addTypeAlias(String name,
                             Class type)

### serializedClass

    public String serializedClass(Class type)

  Description copied from interface: `Mapper`
  How a class name should be represented in its serialized form.

  Specified by:
    `serializedClass` in interface `Mapper`
  Overrides:
    `serializedClass` in class `MapperWrapper`

### realClass

    public Class realClass(String elementName)

  Description copied from interface: `Mapper`
  How a serialized class representation should be mapped back to a real class.

  Specified by:
    `realClass` in interface `Mapper`
  Overrides:
    `realClass` in class `MapperWrapper`

### itemTypeAsAttribute

    public boolean itemTypeAsAttribute(Class clazz)

### aliasIsAttribute

    public boolean aliasIsAttribute(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.